VTK: vtkMatrixUtilities::Wrapper< RowsT, ColsT, MatrixT, LayoutT > Class Template Reference

| VTK 9.3.1

Static Public Member Functions | List of all members
vtkMatrixUtilities::Wrapper< RowsT, ColsT, MatrixT, LayoutT > Class Template Reference

Matrix wrapping class. More...

`#include <vtkMatrixUtilities.h>`

## Static Public Member Functions
template<int RowT, int ColT>
static const Scalar & | Get (const MatrixT &M)
template<int RowT, int ColT>
static Scalar & | Get (MatrixT &M)

## Detailed Description

### template<int RowsT, int ColsT, class MatrixT, class LayoutT = Layout::Identity>
class vtkMatrixUtilities::Wrapper< RowsT, ColsT, MatrixT, LayoutT >

Matrix wrapping class.

This class implements a getter templated on the coordinates of the wanted element. A matrix can be a 2D C++ array, a 1D C++ array row-wise ordered, or any STL-like container implementing operator[] and having a value_type typedef.

This class wraps a RowsT x ColsT matrix stored in the container MatrixT. The LayoutT template parameter permits to reindex at compile-time the matrix. If it is set to Layout::Identity, the matrix is assumed to be row-wised ordered. If it is set to Layout::Transpose, the matrix is assumed to be column-wise ordered. One can also convert a 1D input array into a diagonal matrix by setting LayoutT to Layout::Diag. In ths particular case, method Get will return a read-only zero on elements outside of the diagonal.

Definition at line 324 of file vtkMatrixUtilities.h.

## Member Function Documentation

## ◆ Get() [1/2]

template<int RowsT, int ColsT, class MatrixT , class LayoutT = Layout::Identity>
template<int RowT, int ColT>

static const Scalar& vtkMatrixUtilities::Wrapper< RowsT, ColsT, MatrixT, LayoutT >::Get | ( | const MatrixT & | M | ) |
| inlinestatic

Definition at line 334 of file vtkMatrixUtilities.h.

## ◆ Get() [2/2]

template<int RowsT, int ColsT, class MatrixT , class LayoutT = Layout::Identity>
template<int RowT, int ColT>

static Scalar& vtkMatrixUtilities::Wrapper< RowsT, ColsT, MatrixT, LayoutT >::Get | ( | MatrixT & | M | ) |
| inlinestatic

Definition at line 341 of file vtkMatrixUtilities.h.

The documentation for this class was generated from the following file:

- Common/Core/vtkMatrixUtilities.h